kind: Service
apiVersion: v1
metadata:
    # < name of the service
    name: plex-udp
    # < namespace where to place service
    namespace: home-stuff
    annotations:
        # < annotation name to combine the Service IP, make sure it's same name as in the service UDP yaml
        metallb.universe.tf/allow-shared-ip: internal
spec:
    selector:
        #ENC[AES256_GCM,data:XbXAqaX2BhN1AYhUIZq2aaLSLAyJw/Go3EzVzUvb5e6gOm9IbxSa8tNyjDY4yQZRosdpxrbHh2k8USN8qBUsRqBPTye5yE51eg==,iv:hDcxWmGW/HEJOsPGt7ZS51ixMTjEPnA6xVqTn/eb4J8=,tag:G2QdiGiuI/2Rl/W4bkXRJw==,type:comment]
        app: ENC[AES256_GCM,data:PHjLUvdrzVXKkg==,iv:eVsGvqaY727MdnK3AkZy0Mg/aWP5DKcmtO0N7P1jhL8=,tag:IL0dmb9sAG3//7A8b/hrlg==,type:str]
    ports:
        - ENC[AES256_GCM,data:xqkm73oN2H9ub4Y+SM1KLjBUclRK18+E+NOumna9R1sdy1tPG242niF4LtQ=,iv:t3zorg/dVcEPXY82//fhzEXyijWuBXeYqT3sLrN4Cgs=,tag:27qEc0imoDIgdcT6Er4uqQ==,type:comment]
        - port: ENC[AES256_GCM,data:rxgKzw==,iv:E/xKraCbxjeyuby1liSR43FRZFeDUFRDrx+3ET0TbUM=,tag:sHOisr/wm/9Ufk0YyiL8vw==,type:int]
          #ENC[AES256_GCM,data:JRSF9/hik+kM0ftpRxU+HK0+tSI4ZRS2DRg7OjTskA3XxgpDW6j4yX1nyoGB,iv:etfrsSI37EpWZFsfwdkltFbwHxDUETnGVKs6s69fkYs=,tag:I/hHFhJgi77UfAAKQ8egVA==,type:comment]
          targetPort: ENC[AES256_GCM,data:ALGIRg==,iv:eALMH3SDiFpP3peNaVbvFqBOA+Bw2X8VhV/U6raf9dM=,tag:0lBFxfbhj8SYpKbK+YLX4g==,type:int]
          #ENC[AES256_GCM,data:hlm6Qj5Xf1tcuK8NHGr2icSaWpP1DJ7SQHedYAzKWNVSiw76S5Zhs+9u1JqqxZw73MHLLcA=,iv:EX6Uu1s2rWL7VIk7bVSsWzKT0ouKqPXKYvjPAFLOSbU=,tag:c16pHVXv7PR0b/AozIW4tg==,type:comment]
          name: ENC[AES256_GCM,data:akC3StydKP8=,iv:6aDgQF6YJ87o1SiKaEsEvmPJpzkMbHtRGLfWi8QdpXE=,tag:T3xxy7UXuTH9jgP0m1+bHQ==,type:str]
          protocol: ENC[AES256_GCM,data:0a+W,iv:SX4jDnM+dfQa/tHLtCZDrDwKIW5lFX7Zx86IBhSRjQw=,tag:xKd7z6a9KSBnHPe25WwQBA==,type:str]
        - port: ENC[AES256_GCM,data:GRocMQ==,iv:wVhF8zXOf3+m7l9cuwpOWJDBRyrmoMLlWcPjKZai9Qg=,tag:xmbMNDC2vfMYf1pjaTU0fQ==,type:int]
          targetPort: ENC[AES256_GCM,data:p5txvQ==,iv:3VV0Tz95jPvFspeLfH0zt3mCqjMM8GAW0d/GbQsjdZk=,tag:xI7+2oGvyqLcuEyGeBOQug==,type:int]
          name: ENC[AES256_GCM,data:qHdWOXYy7Tuw6qStYw==,iv:jWk4ZCDyNXpBe0/q4VQsNfO5JBEjBIGIJQThk8kd4Mo=,tag:dJEncns2TWp83q+AMipUmQ==,type:str]
          protocol: ENC[AES256_GCM,data:RhHr,iv:zDGLaNcaFAkisk8M3zj35+02Glr9puIe5A0S3VHaZVs=,tag:189HGa/X8GuCssbypXwcoA==,type:str]
        - port: ENC[AES256_GCM,data:C0fXxkw=,iv:DLcvAqj6QOp2Xhmj5ZT+orlZeBZ/n+ldgZQjen0AqQg=,tag:qujcPghUylu6642F46Vuiw==,type:int]
          targetPort: ENC[AES256_GCM,data:RKLY0bY=,iv:e5wxuhuZA5UpCoKRoP0X4YOtolQ7cAiVCxBT2EfMEwQ=,tag:tJ3MVN8B3PLtTz0VaoybfQ==,type:int]
          name: ENC[AES256_GCM,data:8NHFdy+S+Uoh,iv:HyiXmRs4bQ9qN45y4w5LBZF7mmstzO5MR8CH6aNmtf0=,tag:e2Kb/rjZnHg1CCLxLFKm1Q==,type:str]
          protocol: ENC[AES256_GCM,data:316/,iv:Opgyakvym1xkw9b4mLBA55SfdbHhEC6G10/dGCkD6Kc=,tag:tkRbIF1J47UNGm9XVp3OGg==,type:str]
        - port: ENC[AES256_GCM,data:Q1XNnzg=,iv:dvlqfTF8Ct2oj6HhLSbigSyD6ZYj4O+tpk0Td+RyCYI=,tag:BC1sp1T2JGIoPaSUtkUplQ==,type:int]
          targetPort: ENC[AES256_GCM,data:kFl8Q9w=,iv:OcT1LfSouBUzwBOZSK5GzZwuOWK1g6xcIpQOH+qJb7s=,tag:GGiRNBmTWDMHMSftzBzLAw==,type:int]
          name: ENC[AES256_GCM,data:hD2VQ+aITlWp,iv:CdX5VlFmtrtBkZWFvbm8lphiYlQACRZfwcNEGFyFPHU=,tag:ZalLsgsjQQWbEmWr7MpS8A==,type:str]
          protocol: ENC[AES256_GCM,data:DMTc,iv:w9gRlGLDHqgc1tHiwD0si9ZdCTyWgJ5dbpV02Y2gRwA=,tag:m7yV2hXokndnFYh3Yuz7LA==,type:str]
        - port: ENC[AES256_GCM,data:XGhZE/w=,iv:Ax9greOhWJcWqrZPxt6drRQkL02ZePQvSmHP94mmNSQ=,tag:GM54LItGvopcQfV4PMpSow==,type:int]
          targetPort: ENC[AES256_GCM,data:lKb0NNM=,iv:aE8ACBUXlVwyXJUCu3SClTWju4HAPqhvn1Ou0sMwtp0=,tag:0RssUeGnfdg68pCbnn9mbA==,type:int]
          name: ENC[AES256_GCM,data:yAIyaZziICqf,iv:2vHbPrbpSUwDvzj99O3aLvv8/FOgBPPdK7tlg2kaWHc=,tag:cKy7Lqg/JWzlGvma+QK6KA==,type:str]
          protocol: ENC[AES256_GCM,data:zMjH,iv:Vuo/0vp0iTg0hmrzOsIZMrW10vX1t/H+YsJU18rSQOM=,tag:yP+JL+rh3V9HtmWhze7dew==,type:str]
        - port: ENC[AES256_GCM,data:/Qa9qNQ=,iv:f/RNbZ53E5b7WXagTlDaeir7XUs7G6dqJM58sGnV4W8=,tag:MuPEL1tIa6qZhxE5iDggiQ==,type:int]
          targetPort: ENC[AES256_GCM,data:kbAbjDY=,iv:HU/QFO2oWpdxx8QHEyEPdrs2Rp90XQpwq8oi3DislgQ=,tag:LrCuOUZE+zNrXBKKbjVlmA==,type:int]
          name: ENC[AES256_GCM,data:9ZqH/XdjKolJ,iv:cZwHH49P1z4ROi+cyVX+ApkCOFHOzme/dl4hNjSXGx8=,tag:U/VsvhXYt6+wvUTV4zzwIg==,type:str]
          protocol: ENC[AES256_GCM,data:CO5L,iv:rsOqpD1+eOhVhEPdOJ6aiaBgxvFJHi72lvVIDrL9kxc=,tag:QliXNXPartbh8b8t1ZrlTQ==,type:str]
    type: LoadBalancer
    loadBalancerIP: ENC[AES256_GCM,data:pubUFUMCu+jjSBj7FA==,iv:52Dtc9zHJUloCYByQt23lx1QJtQIGvpUhFle68mI6qA=,tag:lcg6bUZpxBgQjgGHb8ZlXw==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBsRUpIL1FFdVpwWnpna3Z6
            MjY2ZXVHQnZqV3RhdXVBSFNZN21xd21NSTE0CjVsT21PTFB2WVcyVnZPSGExTU1i
            MkszQkJQVitTbXdISkoyL3VLU3EveDgKLS0tIExyYU9rMUxtVG5BVFViN2U2Tm9O
            YjRxZ3MxVnVHVlRKcnJYc1pvbXJVbTQKYZmJHe7NXaQ3jXKHy4JVmo4+HFTFegwJ
            1ujvc2hIsVvyQSOhtFMgd0sNCPht8Lo5hwwu7UMKY5V1BH7Ciltt0A==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:12Z"
    mac: ENC[AES256_GCM,data:MpPKlUUFC2KuX8+6sBGgPaHA19YE9NuLkYZBUFRWhuWWGh3LlyrYphmxQJ4uOqh+coo7OBxkI5PD605gorF5anIGiUqm+a/IGu/P6+j1NKo+hwWZY4AhMjrce1Vu8KMlgJbNyIJf90RuQh+XYGWBTvRJduKwBZMYVN3jGOPWA2A=,iv:SE0cDdpw1opd8cXs5Ak5i5/QD8rOfW8MR1NRr5IJTd4=,tag:K54Hz/iKeTLDsKqfXE2IoQ==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
